Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.GstringContext

- org.apache.groovy.parser.antlr4.GroovyParser.GstringContext

-     public static class GroovyParser.GstringContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GstringContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `GStringBegin()`
    `` | `public TerminalNode` | `GStringEnd()`
    `` | `public List<? extends TerminalNode>` | `GStringPart()`
    `` | `public TerminalNode` | `GStringPart(int i)`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public int` | `getRuleIndex()`
    `` | `public List<? extends GstringValueContext>` | `gstringValue()`
    `` | `public GstringValueContext` | `gstringValue(int i)`

- - ### Constructor Detail

    - #### public GstringContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode GStringBegin()

    - #### public TerminalNode GStringEnd()

    - #### public List<? extends TerminalNode> GStringPart()

    - #### public TerminalNode GStringPart(int i)

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### @Override
      public int getRuleIndex()

    - #### public List<? extends GstringValueContext> gstringValue()

    - #### public GstringValueContext gstringValue(int i)